RDKit: ForceFields::MMFF::MMFFTorCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ForceFields::MMFF::MMFFTorCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const std::pair< const unsigned int, const MMFFTor * > | getMMFFTorParams (const MMFFDefCollection *mmffDef, const std::pair< unsigned int, unsigned int > torType, const unsigned int iAtomType, const unsigned int jAtomType, const unsigned int kAtomType, const unsigned int lAtomType) const
| Looks up the parameters for a particular key and returns them.
| MMFFTorCollection (const bool isMMFFs, std::string mmffTor="")

## Public Attributes
std::vector< MMFFTor > | d_params
| the parameter vector
std::vector< std::uint8_t > | d_iAtomType
| atom type vector for atom i
std::vector< std::uint8_t > | d_jAtomType
| atom type vector for atom j
std::vector< std::uint8_t > | d_kAtomType
| atom type vector for atom k
std::vector< std::uint8_t > | d_lAtomType
| atom type vector for atom l
std::vector< std::uint8_t > | d_torType
| torsion type vector for angle i-j-k-l

## Detailed Description

Definition at line 816 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## ◆ MMFFTorCollection()

ForceFields::MMFF::MMFFTorCollection::MMFFTorCollection | ( | const bool | isMMFFs,
|  | std::string | mmffTor = "" )

References d_params.

## Member Function Documentation

## ◆ getMMFFTorParams()

const std::pair< const unsigned int, const MMFFTor * > ForceFields::MMFF::MMFFTorCollection::getMMFFTorParams | ( | const MMFFDefCollection * | mmffDef,
|  | const std::pair< unsigned int, unsigned int > | torType,
|  | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType,
|  | const unsigned int | kAtomType,
|  | const unsigned int | lAtomType ) const
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFTor object, NULL on failure.

Definition at line 822 of file MMFF/Params.h.

References d_iAtomType, d_jAtomType, d_kAtomType, d_lAtomType, d_params, and d_torType.

## Member Data Documentation

## ◆ d_iAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFTorCollection::d_iAtomType

atom type vector for atom i

Definition at line 951 of file MMFF/Params.h.

Referenced by getMMFFTorParams().

## ◆ d_jAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFTorCollection::d_jAtomType

atom type vector for atom j

Definition at line 952 of file MMFF/Params.h.

Referenced by getMMFFTorParams().

## ◆ d_kAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFTorCollection::d_kAtomType

atom type vector for atom k

Definition at line 953 of file MMFF/Params.h.

Referenced by getMMFFTorParams().

## ◆ d_lAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFTorCollection::d_lAtomType

atom type vector for atom l

Definition at line 954 of file MMFF/Params.h.

Referenced by getMMFFTorParams().

## ◆ d_params

std::vector<MMFFTor> ForceFields::MMFF::MMFFTorCollection::d_params

the parameter vector

Definition at line 950 of file MMFF/Params.h.

Referenced by getMMFFTorParams(), and MMFFTorCollection().

## ◆ d_torType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFTorCollection::d_torType

torsion type vector for angle i-j-k-l

Definition at line 956 of file MMFF/Params.h.

Referenced by getMMFFTorParams().

The documentation for this class was generated from the following file:

- MMFF/Params.h